_set_color(3)

NAME
_set_color - Inline version of set_color(). Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void _set_color(int index, const RGB *p);

DESCRIPTION
This is an inline version of set_color(), intended for use in the vertical retrace simulator callback function (retrace_proc, which is now deprecated). If you really must use _set_color from retrace_proc, note that it should only be used under DOS, in VGA mode 13h and mode-X. Some SVGA chipsets aren't VGA compatible (set_color() and set_palette() will use VESA calls on these cards, but _set_color() doesn't know about that).

SEE ALSO
set_color(3), set_gfx_mode(3), ex3buf(3)